Nimbu Developer Docs
ReferenceCollections

Get collection

GET
/collections/{collection_id}

Retrieves a single collection's details by ID or slug.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

collection_id*string

Collection identifier

Response Body

application/json

curl -X GET "https://example.com/collections/string"
{
  "id": "string",
  "url": "http://example.com",
  "product_count": 0,
  "status": "string",
  "type": "string",
  "featured_image": {},
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "images": [],
  "name": "string",
  "slug": "string",
  "fullpath": "string",
  "description": "string",
  "seo_title": "string",
  "seo_description": "string",
  "seo_keywords": "string"
}
Empty